## FolksImFieldDetails

FolksImFieldDetails — Object representing an IM address value that can have some parameters associated with it.

## Types and Values

#define | FOLKS_TYPE_IM_FIELD_DETAILS
struct | FolksImFieldDetails
struct | FolksImFieldDetailsClass
enum | FolksImDetailsError
| FolksImDetails
struct | FolksImDetailsIface

## Description

See FolksAbstractFieldDetails.

## Functions

## Types and Values

### FOLKS_TYPE_IM_FIELD_DETAILS

    #define FOLKS_TYPE_IM_FIELD_DETAILS (folks_im_field_details_get_type ())

The type for FolksImFieldDetails.

### struct FolksImFieldDetails

    struct FolksImFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksImFieldDetailsPrivate * priv;
    };

Object representing an IM address value that can have some parameters associated with it.

See FolksAbstractFieldDetails.

Since: 0.6.0

### struct FolksImFieldDetailsClass

    struct FolksImFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_IM_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum FolksImDetailsError

Errors related to IM addresses and IM address handling.

#### Members

FOLKS_IM_DETAILS_ERROR_INVALID_IM_ADDRESS | The specified IM address could not be parsed. |

### FolksImDetails

    typedef struct _FolksImDetails FolksImDetails;

IM addresses exposed by an object implementing FolksPresenceDetails.

Since: 0.1.13

### struct FolksImDetailsIface

    struct FolksImDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_im_addresses) (FolksImDetails* self, GeeMultiMap* im_addresses, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_im_addresses_finish) (FolksImDetails* self, GAsyncResult* _res_, GError** error);
    	GeeMultiMap* (*get_im_addresses) (FolksImDetails* self);
    	void (*set_im_addresses) (FolksImDetails* self, GeeMultiMap* value);
    };

Interface for creating FolksImDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_im_addresses` () | virtual method called by ``folks_im_details_change_im_addresses()`` |
`change_im_addresses_finish` () | asynchronous finish function for `change_im_addresses`, called by ``folks_im_details_change_im_addresses()`` |
`get_im_addresses` () | getter method for the abstract property "im-addresses" |
`set_im_addresses` () | setter method for the abstract property "im-addresses" |